Skip to main content
GET
/
audits
/
{auditId}
/
issues
/
items
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.listAuditIssues({
    auditId: "<id>",
  });

  console.log(result);
}

run();
{
  "results": {
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": null,
      "endCursor": null
    },
    "data": [
      {
        "id": "5f2c939a52855e725c8d5824",
        "title": "User accounts with weak passwords",
        "readableIssueId": "ISS-1234",
        "issueId": "5f2c939a52855e725c8d5825",
        "description": "The following user accounts have passwords that do not meet the company's password policy: [list of accounts]. Weak passwords increase the risk of unauthorized access to systems and data.",
        "snapshotId": "5f2c939a52855e725c8d5823",
        "dueDate": "2023-12-31T23:59:59.000Z",
        "status": "CLOSED",
        "lastModifiedAt": "2024-06-15T10:30:00.000Z",
        "createdAt": "2024-06-01T09:00:00.000Z",
        "detectedAt": "2024-05-30T14:45:00.000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

The audit ID

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of results per page (1-100, default 10) Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Search term for filtering by issue title and description

snapshotIdMatchesAny
string[]

Filter issues to specific snapshots by snapshot ID

Response

200 - application/json

Ok

results
object
required